2007-09-12  Cosimo Cecchi  <cosimoc@svn.gnome.org>

	* src/ephy-session.c: (write_active_tab), (write_ephy_window),
	(ephy_session_load):

	Make session recovery focus work properly and remember the active tab.
	Fixes bug #317272.

2007-09-12  Cosimo Cecchi  <cosimoc@svn.gnome.org>

	* src/ephy-lockdown.c: (update_window):

	Fix disable_toolbar_editing lockdown not respected for Remove and Move
	actions on toolbar buttons. Bug #475641. Patch by Cyril Brulebois.

2007-09-12  Cosimo Cecchi  <cosimoc@svn.gnome.org>

	* src/ephy-history-window.c: (search_entry_clear_cb),
	(build_search_box):

	Adapt EphyHistoryWindow to the iconified EphySearchEntry and adds
	a cleaner button in its search entry, like in Bookmarks Editor.
	Fixes bug #476179.

2007-09-12  Cosimo Cecchi  <cosimoc@svn.gnome.org>

	* src/ephy-find-toolbar.c: (ephy_find_toolbar_open):

	Find toolbar now remembers last pattern searched also when opened with
	GDK_slash or GDK_apostrophe. Fixes bug #343337.

2007-09-11  Cosimo Cecchi  <cosimoc@svn.gnome.org>

	* src/ephy-home-action.c: (action_name_association),
	(ephy_home_action_activate), (home_action_drag_data_received_cb),
	(connect_proxy), (disconnect_proxy), (ephy_home_action_class_init):

	Adds drag-and-drop of URLs onto "New Tab" and "New Window" buttons in
	the toolbar. Fixes bug #382383.

2007-09-10  Christian Persch  <chpe@gnome.org>

	* m4/gecko.m4:

	Make sure the gecko version is set to 0 if we're not compiling with
	the gecko backend. Bug #475461, patch by Cyril Brulebois.

2007-09-10  Christian Persch  <chpe@gnome.org>

	* configure.ac:

	Error out if the C++ compiler wasn't found. Bug #475360.

2007-09-10  Cosimo Cecchi  <cosimoc@svn.gnome.org>

	* src/ephy-toolbar.c: (ephy_toolbar_set_navigation_tooltips):
	* src/ephy-toolbar.h:
	* src/ephy-window.c: (sync_tab_navigation):

	Makes tooltips for Back and Forward buttons display the titles of
	relative pages. Fixes bug #341400. Patch by Cyril Brulebois.

2007-09-10  Cosimo Cecchi  <cosimoc@svn.gnome.org>

	* src/ppview-toolbar.c: (ppview_toolbar_set_window):

	Forces the display of "Close print preview" on the relative toolbar
	button in the print preview window. See bug #109063. Patch by
	Cyril Brulebois.

2007-09-09  Christian Persch  <chpe@gnome.org>

	* configure.ac:
	* embed/Makefile.am:
	* embed/ephy-embed-factory.c: (ephy_embed_factory_new_object):
	* m4/gecko.m4:
	A m4/libxul.m4:
	* src/Makefile.am: Integrate the "xulrunner" backend with configure.
	Not building yet.

2007-09-09  Cosimo Cecchi  <cosimoc@svn.gnome.org>

	* lib/widgets/ephy-search-entry.c: (ephy_search_entry_get_type),
	(ephy_search_entry_timeout_cb), (ephy_search_entry_changed_cb),
	(ephy_search_entry_init), (ephy_search_entry_clear):
	* lib/widgets/ephy-search-entry.h:
	* src/bookmarks/ephy-bookmarks-editor.c: (search_entry_clear_cb),
	(build_search_box):

	Modifies the EphySearchEntry to inherit from EphyIconEntry instead of
	GtkEntry, to have icons on it. Adds a cleaner icon in the search
	entry of Bookmarks Editor. Fixes bug #463469.

2007-09-09  Cosimo Cecchi  <cosimoc@svn.gnome.org>

	* src/ephy-toolbar-editor.c: (ephy_toolbar_editor_constructor):

	Marks as translatable some toolbar editor strings and removes
	references to old Control Center gettext domain. Fixes bug #474429.
	Patch by Cyril Brulebois.

2007-09-09  Cosimo Cecchi  <cosimoc@svn.gnome.org>

	* lib/widgets/ephy-zoom-action.c: (connect_proxy):

	Fixes bad state syncing when adding zoom controls to the toolbar.
	Fixes bug #338005. Patch by Cyril Brulebois.

2007-09-09  Cosimo Cecchi  <cosimoc@svn.gnome.org> 

	* src/ephy-find-toolbar.c: (set_status_notfound_cb), (set_status),
	(ephy_find_toolbar_dispose):

	Make 'Not found' on find toolbar temporairly bold and fires
	gtk_widget_error_bell () when searching on a page and no results are
	found. Fixes bug #363004.

2007-09-08  Cosimo Cecchi  <cosimoc@svn.gnome.org>

	* embed/downloader-view.c: (downloader_view_finalize),
	(update_buttons_timeout_cb), (downloader_view_add_download):

	Fix runtime warnings when downloading small files, due to bad handling
	of g_timeout in DownloaderView. Fixes bug #473566.

2007-08-28  Christian Persch  <chpe@gnome.org>

	* data/mime-types-permissions.xml:

	More mime types.

2007-08-26  Diego Escalante Urrelo  <diegoe@gnome.org>

	* src/ephy-go-action.c:

	Fix the Go button signal handler so it doesn't stop the propagation of
	the event due to a bad signal handler. Fixes bug #469845. Patch by
	Cosimo Cecchi.

2007-08-26  Diego Escalante Urrelo  <diegoe@gnome.org>

	* lib/ephy-file-helpers.c:
	* lib/ephy-file-helpers.h:
	* embed/mozilla/MozDownload.h:
	* embed/mozilla/MozDownload.cpp:

	Add saved files to the GtkRecent list, gnome-panel is broken so don't
	expect to see the effects of this working there, you can use it on the
	GtkFileChooser dialog however. Fixes Bug #148401. Original patch by
	Christian Persch, updated by Cosimo Cecchi.

2007-08-25  Christian Persch  <chpe@gnome.org>

	* data/mime-types-permissions.xml:

	More mime types.

2007-08-22  Christian Persch  <chpe@gnome.org>

	* embed/mozilla/GeckoPrintService.cpp:

	Enable printing to PDF file on gecko 1.9, now that moz#367907 is
	fixed.

2007-08-19  Diego Escalante Urrelo  <diegoe@gnome.org>

	* lib/widgets/ephy-location-entry.c:

	Make cursor be at the end of the URL when selecting entries from the
	completion popup. Fixes bug #466344.

2007-08-16  Xan Lopez  <xan@gnome.org>

	* embed/webkit/webkit-embed.cpp (impl_reload): implement reload.

2007-08-16  Carlos Garcia Campos  <carlosgc@gnome.org>

	* lib/egg/egg-toolbar-editor.c: (set_drag_cursor):
	* lib/egg/egg-editable-toolbar.c: (configure_item_cursor),
	(new_pixbuf_from_widget):

	Fix multihead problems in toolbar editor.
	
2007-08-15  Diego Escalante Urrelo  <diegoe@gnome.org>

	* embed/downloader-view.c:

	Fix download-icon toolip updates, patch by Cosimo Cecchi.
	Fixes bug #343238.

2007-08-15  Diego Escalante Urrelo  <diegoe@gnome.org>

	* embed/mozilla/GtkNSSDialogs.cpp:

	Default to Cancel on Cert dialogues, patch by Cosimo Cecchi. 
	Fixes bug #163379.

2007-08-15  Diego Escalante Urrelo  <diegoe@gnome.org>

	* embed/mozilla/EphyUtils.cpp:
	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/MozDownload.cpp:

	Fix strict-aliasing warnings, patch by Cosimo Cecchi. 
	Happy 10 years GNOME!. Fixes bug #433173.

2007-08-13  Christian Persch  <chpe@gnome.org>

	=== Release 2.19.90 ===

	* Makefile.am:

	Try to fix distcheck.

2007-08-12  Christian Persch  <chpe@gnome.org>

	* data/icons/Makefile.am:

	Add low contrast app icon.

2007-08-09  Christian Persch  <chpe@gnome.org>

	* data/icons/Makefile.am:

	Fix icons install paths.

2007-08-09  Christian Persch  <chpe@gnome.org>

	* data/icons/Makefile.am:

	Fix icon cache update command.

2007-08-09  Christian Persch  <chpe@gnome.org>

	* data/icons/Makefile.am:
	* data/icons/HighColorLargePrint{,Inverse}_apps_48x48_gnome-web-browser.png:

	Add a11y theme icons for our apps icon.

2007-08-09  Christian Persch  <chpe@gnome.org>

	* configure.ac:
	A data/icons/*:
	R data/icons/*/*/*:

	Reorganise icons.

2007-08-06  Christian Persch  <chpe@gnome.org>

	* data/bme.desktop.in.in:
	* data/epiphany.desktop.in.in:

	Direct bugs coming in from bb to their own Component, for easy
	filtering.

2007-08-06  Diego Escalante Urrelo  <diegoe@gnome.org>

	* embed/ephy-history.c:
	* embed/ephy-history.h:

	Make ephy_history_set_enabled actually disable history and not delete
	it. Also make it public.

2007-08-02  Diego Escalante Urrelo  <diegoe@gnome.org>

	* data/ui/epiphany-ui.xml:
	* src/ephy-window.c:
	* src/ephy-lockdown.c:

	Remove "Add bookmark" and "Save as" from the document context menu.
	Patch by Cosimo Cecchi. Part of bug #332968.

2007-08-01  Diego Escalante Urrelo  <diegoe@gnome.org>

	* src/ephy-completion-model.c:
	* embed/ephy-history.c:

	Fix completion model to show icons for history items too,
	istory/bookmarks/favicon_cache service objects are now stored in the
	completion priv. Patch by Imran Patel. Fixes bug #459811.

2007-08-01  Diego Escalante Urrelo  <diegoe@gnome.org>

	* data/epiphany-lockdown.schemas.in:

	Remove misleading text from hide menu bar lockdown. Fixes bug #321989.

2007-07-30  Diego Escalante Urrelo  <diegoe@gnome.org>

	* embed/ephy-embed.c:

	Add a missing space in ge_content_change description.

2007-07-30  Diego Escalante Urrelo  <diegoe@gnome.org>

	* lib/ephy-file-helpers.c:

	Remove an unused variable. One-liner by Cosimo Cecchi.
	Part of Bug #433173.

2007-07-31  Xan Lopez  <xan@gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:
	* embed/webkit/webkit-embed-single.cpp:

	Do not use #ifdef inside macros, ancient compilers
	don't like it

2007-07-30  Christian Persch  <chpe@gnome.org>

	=== Release 2.19.6 ===

2007-07-30  Diego Escalante Urrelo  <diegoe@gnome.org>

	* embed/webkit/webkit-embed.cpp:

	can_go methods now work, WebKit was missing the implementations for
	those functions, it's fixed now so we can use can_go methods.
	Note that they are useless without the ge_location signal being
	emitted (dummy code included, commented).

	Part of Bug #461652.

2007-07-30  Xan Lopez  <xan@gnome.org>

	* embed/webkit/webkit-embed-persist.cpp:
	* embed/webkit/webkit-embed.cpp:

	Add returns where needed, remove unnecessary variables.

2007-07-30  Diego Escalante Urrelo  <diegoe@gnome.org>

	* embed/webkit/webkit-embed-single.cpp:
	* embed/webkit/webkit-embed.cpp:
	* embed/webkit/webkit-embed-find.h:
	* embed/webkit/webkit-embed-single.h:
	* embed/webkit/webkit-embed.h:
	* embed/webkit/webkit-embed-persist.cpp:
	* embed/webkit/webkit-embed-persist.h:
	* embed/webkit/webkit-embed-find.cpp:

	Rename Webkit to WebKit. Used sed -i 's/Webkit/WebKit/'. 
	Fixes bug #461689.

2007-07-30  Diego Escalante Urrelo  <diegoe@gnome.org>

	* lib/ephy-password-dialog.c:

	Fix some strict aliasing warnings. Patch by Cosimo Cecchi. 
	Bug #433173.

2007-07-29  Carlos Garcia Campos  <carlosgc@gnome.org>

	* lib/egg/egg-editable-toolbar.c: (egg_editable_toolbar_dispose):

	Fix memory leak.
	
2007-07-28  Xan Lopez  <xan@gnome.org>

	* embed/webkit/webkit-embed.cpp:

	Implement stop loading method, for some reason can_go
	methods will fail to link.
	
	* src/epiphany.override:

	Remove mozilla include.

2007-07-27  Xan Lopez  <xan@gnome.org>

	* Makefile.am:
	* configure.ac:
	* doc/reference/Makefile.am:
	* embed/Makefile.am:
	* embed/ephy-embed-factory.c: (ephy_embed_factory_new_object):
	* embed/ephy-embed-persist.c:
	* embed/ephy-embed-shell.c:
	* embed/ephy-embed.c:
	* embed/webkit/Makefile.am:
	* embed/webkit/webkit-embed-find.cpp:
	* embed/webkit/webkit-embed-find.h:
	* embed/webkit/webkit-embed-persist.cpp:
	* embed/webkit/webkit-embed-persist.h:
	* embed/webkit/webkit-embed-single.cpp:
	* embed/webkit/webkit-embed-single.h:
	* embed/webkit/webkit-embed.cpp:
	* embed/webkit/webkit-embed.h:
	* src/Makefile.am:

	Add support for the WebKit engine, compile with
	--with-engine=webkit to activate.
	
	* embed/mozilla/mozilla-embed-single.cpp:

	Move to the G_DEFINE_TYPE_WITH_CODE macro.

2007-07-26  Diego Escalante Urrelo  <diegoe@gnome.org>

	* src/ephy-window.c:

	Make "Customise toolbars" insensitive when toolbars are hidden. Patch
	by René Stadler. Fixes bug #164227.

2007-07-26  Reinout van Schouwen <reinouts@gnome.org>
	
	* embed/mozilla/EphyAboutModule.cpp:

	Don't mention 'Epiphany' in the message introduced in the patch for 
	bug #459552.

2007-07-26  Diego Escalante Urrelo  <diegoe@gnome.org>

	* embed/mozilla/EphyAboutModule.cpp:

	Improve the restricted ports message, patch by Cosimo Cecchi. 
	Fixes bug #459552.

2007-07-25  Diego Escalante Urrelo  <diegoe@gnome.org>

	* embed/downloader-view.c:

	Make the status icon clickable so it shows/hides the download window,
	works across workspaces. Patch by Kraai. Fixes bug #448610.

2007-07-25  Diego Escalante Urrelo  <diegoe@gnome.org>

	* src/ephy-tab.c:

	Update tab title when the statusbar text is updated, so we don't have
	out of sync messages (like "Loading <page-you-were-before>"). Fixes
	bug #318947.

2007-07-25  Diego Escalante Urrelo  <diegoe@gnome.org>

	* src/ephy-notebook.c:

	Checks that if we are dragging an element of type
	EPHY_DND_URI_LIST_TYPE we don't reuse an already existing tab to open
	the first element of the list. Fixes bug #313636.

2007-07-25  Diego Escalante Urrelo  <diegoe@gnome.org>

	* src/prefs-dialog.c:
	* data/glade/prefs-dialog.glade:

	Added a checkbox for smooth scrolling. Fixes bug #162489.

2007-07-21  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):
	* lib/ephy-stock-icons.h:
	* src/ephy-window.c:

	Remove some icons from the context menu, and use better
	ones for some menu items. Reported by Andreas Nilsson.
	Patch by Cosimo Cecchi. Fixes bug #410223.

2007-07-16  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* src/bookmarks/ephy-bookmark-factory-action.c:
	(ephy_bookmark_factory_action_new):
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_init),
	(ephy_bookmarks_get_topic_uri):
	* src/bookmarks/ephy-topic-factory-action.c:
	(ephy_topic_factory_action_new):

	String changes based on user feedback:
	- "Local sites" -> "Nearby sites" (because it is a
	better description)
	- Drop the "Quick" prefix from Topic/Bookmark items in
	toolbar editor, because it has no function besides
	confusing users.

2007-07-16  Christian Persch  <chpe@gnome.org>

	* configure.ac:
	* doc/reference/Makefile.am:
	* embed/Makefile.am:
	* embed/mozilla/Makefile.am:
	* plugins/desktop-file/Makefile.am:
	* src/Makefile.am:

	s/MOZILLA/GECKO/g for consistency with gge.

2007-07-15  Christian Persch  <chpe@gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/EphyHeaderSniffer.cpp:
	* embed/mozilla/EphyHistoryListener.cpp:
	* embed/mozilla/EphyPromptService.cpp:
	* embed/mozilla/GeckoFormSigningDialog.cpp:
	* embed/mozilla/GeckoPrintService.cpp:
	* embed/mozilla/GeckoPrintSession.cpp:
	* embed/mozilla/mozilla-embed-event.cpp:
	* embed/mozilla/mozilla-embed.cpp:
	* plugins/desktop-file/plugin.cpp:

	Use C++ casts. Script from bmo#348748.

2007-07-15  Christian Persch  <chpe@gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	Make sure postscript printing is enabled, and the printer list empty
	(so we only get the PostScript/default printer).

2007-07-15  Christian Persch  <chpe@gnome.org>

	* data/chrome/about.xhtml:
	* data/epiphany.desktop.in.in:
	* data/icons/16x16/apps/Makefile.am:
	* data/icons/22x22/apps/Makefile.am:
	* data/icons/24x24/apps/Makefile.am:
	* data/icons/32x32/apps/Makefile.am:
	* data/icons/scalable/apps/Makefile.am:
	* lib/ephy-stock-icons.h:

	Use the right icon name. Bug #385872.

2007-07-15  Christian Persch  <chpe@gnome.org>

	* src/popup-commands.c: (background_download_completed):

	Load the appearance capplet. Doesn't seem to work yet, see bug
	#456337.

2007-07-14  Christian Persch  <chpe@gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/EphySingle.cpp:
	* embed/mozilla/MozDownload.cpp:

	It's yet another API change!

2007-07-11  Nguyễn Thái Ngọc Duy <pclouds@gmail.com>

	* embed/mozilla/MozDownload.cpp:

	Fixes bug #452707

2007-07-11  Christian Persch  <chpe@gnome.org>

	* data/default-prefs-common.js:

	Use the right prefs to disable CUPS.

2007-07-11  Luca Ferretti  <elle.uca@libero.it>

	* data/chrome/about.xhtml:

	Use new "epiphany" icon here (thanks to Rodney Dawes).
	
	* data/icons/32x32/apps/Makefile.am:
	* data/icons/32x32/apps/epiphany.svg:
	* data/icons/32x32/apps/epiphany.svg:

	Add 32x32 pixel icon (thanks to Andreas Nilsson).

2007-07-11  Christian Persch  <chpe@gnome.org>

	* configure.ac:

	Update glib req to 2.13.4 so we can use g_get_user_special_dir.

	* lib/ephy-file-helpers.c: (ephy_file_downloads_dir),
	(ephy_file_desktop_dir): 

	Use g_get_user_special_dir to get the Desktop and Downloads directory
	location.

2007-07-10  Christian Persch  <chpe@gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (connect_proxy):

	Use gtk_widget_set_has_tooltip here.

2007-07-10  Christian Persch  <chpe@gnome.org>

	* embed/ephy-embed-shell.c: (ephy_embed_shell_set_page_setup),
	(ephy_embed_shell_get_page_setup),
	(ephy_embed_shell_set_print_settings),
	(ephy_embed_shell_get_print_settings):
	* lib/ephy-print-utils.c:
	* lib/ephy-print-utils.h:

	Use the new gtk functions to persist and load the print settings and
	page setup. Migrate our old settings, if present.

2007-07-10  Christian Persch  <chpe@gnome.org>

	* src/ephy-notebook.c: (sync_label):

	Remove NULL-check here.

2007-07-10  Christian Persch  <chpe@gnome.org>

	* src/bookmarks/ephy-bookmark-action.c: (query_tooltip_cb),
	(connect_proxy), (ephy_bookmark_action_updated),
	(ephy_bookmark_action_class_init):

	Port to new tooltips API. Fixes bug #347637.

2007-07-10  Christian Persch  <chpe@gnome.org>

	* embed/mozilla/GeckoPrintService.cpp:

	Remove gtk version check since we now depend on 2.11.

2007-07-10  Christian Persch  <chpe@gnome.org>

	* lib/widgets/ephy-location-entry.c: (cursor_on_match_cb),
	(ephy_location_entry_set_completion):

	Remove gtk version check since we now depend on 2.11.

2007-07-10  Christian Persch  <chpe@gnome.org>

	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_finalize), (ephy_location_entry_class_init),
	(ephy_location_entry_construct_contents),
	(ephy_location_entry_init), (ephy_location_entry_set_lock_tooltip):

	Port to new tooltips API.

2007-07-10  Christian Persch  <chpe@gnome.org>

	* lib/widgets/ephy-zoom-action.c: (ephy_zoom_action_class_init):
	* lib/widgets/ephy-zoom-control.c: (ephy_zoom_control_class_init):

	Port to new tooltips API.

2007-07-10  Christian Persch  <chpe@gnome.org>

	* src/ephy-navigation-action.c: (connect_proxy),
	(ephy_navigation_action_class_init):

	Port to new tooltips API.
	
2007-07-10  Christian Persch  <chpe@gnome.org>

	* src/ephy-fullscreen-popup.c:
	(ephy_fullscreen_popup_set_security_state),
	(ephy_fullscreen_popup_constructor),
	(ephy_fullscreen_popup_finalize):

	Port to new tooltips API.

2007-07-10  Luca Ferretti  <elle.uca@libero.it>

	* data/epiphany.desktop.in.in:

	Use new icon here too 

2007-07-10  Christian Persch  <chpe@gnome.org>

	* src/ephy-notebook.c: (ephy_notebook_switch_page_cb),
	(update_tabs_visibility), (ephy_notebook_init),
	(ephy_notebook_finalize), (sync_icon), (sync_label),
	(build_tab_label), (ephy_notebook_set_show_tabs),
	(ephy_notebook_remove):

	Port to new tooltips API.

2007-07-10  Luca Ferretti  <elle.uca@libero.it>

	* data/icons/32x32/apps/Makefile.am:
	* data/icons/32x32/Makefile.am:

	Add 32x32/apps to build. But currently there are no icons.

2007-07-10  Luca Ferretti  <elle.uca@libero.it>

	* configure.ac:
	* data/icons/16x16/Makefile.am:
	* data/icons/16x16/apps/Makefile.am:
	* data/icons/16x16/apps/epiphnay.svg:
	* data/icons/16x16/apps/epiphnay.png:	
	* data/icons/22x22/Makefile.am:
	* data/icons/22x22/apps/Makefile.am:
	* data/icons/22x22/apps/epiphnay.svg:
	* data/icons/22x22/apps/epiphnay.png:
	* data/icons/24x24/Makefile.am:
	* data/icons/24x24/apps/Makefile.am:
	* data/icons/24x24/apps/epiphnay.png:
	* data/icons/scalable/Makefile.am:
	* data/icons/scalable/apps/Makefile.am:
	* data/icons/scalable/apps/epiphnay.svg:
	* lib/ephy-stock-icons.h:

	Install under hicolor and use "epiphany" named icon
	as application icon. See bug 385872.

	The icon is just a copy of "web-browser" in gnome-icon-theme

	* data/icons/Makefile.am:

	Update gtk icon cache for hicolor on install and uninstall

2007-07-10  Luca Ferretti  <elle.uca@libero.it>

	* data/icons/16x16/actions/Makefile.am:
	* data/icons/22x22/actions/Makefile.am:
	* data/icons/24x24/actions/Makefile.am:
	* data/icons/32x32/actions/Makefile.am:
	* data/icons/scalable/actions/Makefile.am:
	* data/icons/*/action/download.*:

	Kill old "download" icon. Fix bug 450904.

2007-07-10  Christian Persch  <chpe@gnome.org>

	* configure.ac:

	Update gtk+ req to 2.11.6.

	* src/ephy-statusbar.c: (ephy_statusbar_class_init),
	(create_caret_indicator), (ephy_statusbar_init),
	(ephy_statusbar_set_security_state),
	(ephy_statusbar_set_popups_state):
	* src/ephy-statusbar.h:
	* src/epiphany.defs:

	Port EphyStatusbar to the new tooltips API.

2007-07-10  Luca Ferretti  <elle.uca@libero.it>

	* embed/downloader-view.c: (show_status_icon),
	(downloader_view_build_ui):
	* embed/mozilla/ContentHandler.cpp:
	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):
	* lib/ephy-stock-icons.h:
	* src/ephy-window.c:

	Kill EPHY_STOCK_DOWNLOAD and add STOCK_DOWNLOAD, using
	"emblem-download" named icon. Partially fix 450904. 

	Note: you need latest svn version of gnome-icon-theme
	to have the download icon @ 16x16 pixels

2007-07-09  Christian Persch  <chpe@gnome.org>

	=== Release 2.19.5 ===

2007-07-09  Christian Persch  <chpe@gnome.org>

	* configure.ac:
	* data/icons/16x16/status/Makefile.am:
	* data/icons/24x24/status/Makefile.am:
	* data/icons/48x48/Makefile.am:
	* data/icons/48x48/status/Makefile.am:
	* data/icons/Makefile.am:
	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):
	* lib/ephy-stock-icons.h:

	Copy the lock icons from g-i-t 2.16 into epiphany, since the new ones
	in g-i-t are broken (see bug #348350 comment 93 ff).

2007-07-03  Jaap Haitsma  <jaap@haitsma.org>

	* lib/egg/update-toolbareditor-from-libegg: removed
	* lib/egg/update-toolbareditor-from-libegg.sh: added
	Rename to update-toolbareditor-from-libegg.sh
	Also updated the script such it updates itself
	* lib/egg/egg*:
	Sync with latest libegg toolbareditor

2007-07-01  Jaap Haitsma  <jaap@haitsma.org>

	* src/ephy-history-window.c, src/bookmarks/ephy-bookmarks-editor.c,
	src/ephy-window.c: Use GTK_STOCK_ABOUT icon i.s.o GNOME_STOCK_ABOUT
	Fixes bug #452769

2007-07-01  Jaap Haitsma  <jaap@haitsma.org>
	
	Changelog entry from the previous commit. I accidently changed the
	wrong Changelog file
	* lib/egg/update-toolbareditor-from-libegg: script that syncs local
	toolbar editor copy with the one in libegg SVN
	* lib/egg/egg*: sync with toolbar editor in libegg. Sync obtained by 
	running update-toolbareditor-from-libegg
	* lib/egg/eggintl.h: removed not needed anymore by egg-toolbareditor
	* lib/egg/Makefile.am: remove eggintl.h

2007-06-28  Christian Persch  <chpe@gnome.org>

	* configure.ac:
	* data/Makefile.am:
	A data/weasel-ua-pref.js.in:

	Make UA ff-compatible. This fixes
	https://bugzilla.mozilla.org/show_bug.cgi?id=334967 . See also
	Camino bug https://bugzilla.mozilla.org/show_bug.cgi?id=384721 and
	https://bugzilla.mozilla.org/show_bug.cgi?id=385999 for discussion.

2007-06-26  Luca Ferretti  <elle.uca@libero.it>

	* lib/ephy-stock-icons.h: use "document-page-setup" named icon for
	STOCK_PRINT_SETUP (now available on gnome-icon-theme trunk); add
	comments to explain icons origin (icon naming spec, custom,
	deprecated...)

2007-06-25  Felix Riemann  <friemann@svn.gnome.org>

	* lib/egg/egg-toolbar-editor.c: (event_box_realize_cb):
	Make named drag-icons toolbar-sized like the others.
	Part of bug #450590.

2007-06-24  Felix Riemann  <friemann@svn.gnome.org>

	* lib/egg/egg-toolbar-editor.c: (editor_create_item_from_name):
	Cleanups to my last commit.
	Fixes bug 450590 (Felix Riemann, Jaap Haitsma)

2007-06-24  Felix Riemann  <friemann@svn.gnome.org>

	* lib/egg/egg-toolbar-editor.c: (editor_create_item_from_name):
	Add a workaround to take into account that Gtk{Radio,Toggle}Actions
	only set either the stock-id or the icon-name property depending on
	the image type. This makes it possible to display the icon of such
	actions in the toolbar editor. (bug #450590)

2007-06-22  Gabor Kelemen  <kelemeng@gnome.hu>

	* src/ephy-main.c: Use g_option_group_set_translation_domain to
	translate commandline options. Fixes bug #450146

2007-06-07  Diego Escalante Urrelo  <diegoe@gnome.org>

	* embed/mozilla/GtkNSSSecurityWarningDialogs.cpp:
	* help/C/epiphany.xml:

	Modified first-time dialog when visiting a secure page, to mention
	the color and padlock icon in the address entry. 
	Patch by Jared Moore. Fixes bug #346243.

2007-06-16  Christian Persch  <chpe@gnome.org>

	* doc/Makefile.am:

	Add debugging.txt to EXTRA_DIST.

2007-06-14  Christian Persch  <chpe@gnome.org>

	* embed/mozilla/GeckoPrintService.cpp:
	* embed/mozilla/GeckoPrintSession.cpp:
	* embed/mozilla/GeckoPrintSession.h:

	Set the print as cancelled in the print settings too, see
	https://bugzilla.mozilla.org/show_bug.cgi?id=253926.

2007-06-10  Christian Persch  <chpe@gnome.org>

	* data/default-prefs-common.js:

	Disable PAPI too.

2007-06-07  Diego Escalante Urrelo  <diegoe@gnome.org>

	* src/ephy-history-window.c:
	* src/bookmarks/ephy-bookmarks-editor.c:

	Adds SelectAll stock icon.

2007-06-05  Diego Escalante Urrelo  <diegoe@gnome.org>

	* src/ephy-history-window.c
	* src/bookmarks/ephy-bookmarks-editor.c
	* data/ui/epiphany-history-window-ui.xml
	* data/ui/epiphany-bookmark-editor-ui.xml:

	Assign control+T as default delete shortcut. Also move the Delete item
	to Edit menu. Bug #351100.

2007-06-05  Diego Escalante Urrelo  <diegoe@gnome.org>

	* embed/mozilla/EphyAboutModule.cpp:

	Last commit reverted.

2007-06-05  Diego Escalante Urrelo  <diegoe@gnome.org>

	* embed/mozilla/EphyAboutModule.cpp:

	Change the "The page was not fully loaded when the crash ocurred"
	message to something better. Patch by Thomas Presthus. Bug #433796.

2007-06-05  Diego Escalante Urrelo  <diegoe@gnome.org>

	* src/ephy-go-action.c:

	Fix go button behaviour to react to button-release-event and not
	button-press-event. Patch by Sebastiaan Samyn. Bug #441419.

2007-06-05  Diego Escalante Urrelo  <diegoe@gnome.org>

	* src/ephy-window.c:

	Added GTK_STOCK_SELECT_ALL to SelectAll action. 

2007-06-05  Christian Persch  <chpe@gnome.org>

	* doc/reference/Makefile.am:
	
	Fix docs build on xulrunner trunk.

2007-06-05  Wouter Bolsterlee  <wbolster@svn.gnome.org>

	* data/about.ini:
	
	Shameless plug: added Reinout van Schouwen and myself.

2007-06-05  Jared Moore <cornflake.pirate@gmail.com>

	Reviewed by: Christian Persch <chpe@gnome.org>
	Committed by: Wouter Bolsterlee <wbolster@gnome.org>

	* data/ui/epiphany-ui.xml:

	Added 'select all' to context menu for text input areas. Bug #336739.

2007-06-04  Christian Persch  <chpe@gnome.org>

	* embed/ephy-embed.c: (ephy_embed_load_url):

	It seems SUSE can't take a hint and doesn't care, so remove this comment.

2007-05-31  Diego Escalante Urrelo  <diegoe@gnome.org>

	* lib/widgets/ephy-location-entry.c:

	Adds some prefixes to web_prefixes for ftp sites. Bug #422114.

2007-05-27  Christian Persch  <chpe@gnome.org>

	* embed/mozilla/mozilla-embed-single.cpp:

	nsIPasswordManager doesn't exist on trunk anymore.

2007-05-27  Christian Persch  <chpe@gnome.org>

	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):

	No need to make this data static.

2007-05-27  Christian Persch  <chpe@gnome.org>

	* embed/mozilla/GeckoPrintService.cpp:

	Take the printer's capabilities into account.

2007-05-19  Christian Persch  <chpe@gnome.org>

	* data/glade/epiphany.glade:

	Make "Show Passwords" plural. Bug #437798.

2007-05-19  Christian Persch  <chpe@gnome.org>

	* data/epiphany.schemas.in:
	* embed/ephy-embed-prefs.h:
	* embed/mozilla/mozilla-notifiers.cpp:

	Add pref for smooth scroll, bug #162489.
	Use GSlice to allocate the prefs notifier data.
	Check the pref type.

2007-05-19  Christian Persch  <chpe@gnome.org>

	* embed/mozilla/GeckoCookiePromptService.cpp:

	Just use ngettext here, no need for dngettext.

2007-05-19  Christian Persch  <chpe@gnome.org>

	* embed/ephy-cookie-manager.h:
	* embed/mozilla/EphySingle.cpp:

	Store http-only flag too.

2007-05-19  Christian Persch  <chpe@gnome.org>

	* lib/egg/eggtreemultidnd.c:

	Include config.h.

2007-05-19  Christian Persch  <chpe@gnome.org>

	* src/ephy-statusbar.c:

	Make this comment accurate.

2007-05-19  Christian Persch  <chpe@gnome.org>

	* src/prefs-dialog.c: (prefs_dialog_show_help):

	Make this string static.

2007-05-13  Christian Persch  <chpe@gnome.org>

	* configure.ac:

	Post-release version bump.

2007-05-13  Christian Persch  <chpe@gnome.org>

	=== Release 2.19.2 ==

	* configure.ac:

	Update for 2.19.2.

	* po/POTFILES.skip:

	Try to fix distcheck with stupid intltool.

2007-05-08  Felix Riemann  <friemann@svn.gnome.org>

	* lib/egg/egg-toolbar-editor.c: (event_box_realize_cb),
	(editor_create_item_from_name):
	Support using named icons in the toolbareditor and attach them to the
	mouse pointer while dragging them to the toolbar. (bug #436684)

2007-05-04  Diego Escalante Urrelo <diegoe@gnome.org>

	* src/ephy-find-toolbar.c:

	Make Shift+Return find previous when searching. 
	Patch by Robin Stocker.

	Fixes #412033

2007-05-01  Xan Lopez  <xan@gnome.org>

	* lib/widgets/ephy-location-entry.c:
	* lib/widgets/ephy-location-entry.h:
	* src/ephy-completion-model.c:
	* src/ephy-completion-model.h:
	* src/ephy-location-action.c:

	Copy the items on the completion list as the user moves through
	them. The original input can be restored pressing Esc. The tentative
	completion can be made definitive pressing Left or Right.

	Fixes #409291, #102528
	
2007-04-24  Diego Escalante Urrelo  <diegoe@gnome.org>

	* src/popup-commands.c:
	* lib/ephy-file-helpers.c:
	Avoid opening nautilus if downloads are done to Desktop. This re-fixes
	bug #383698.

2007-04-24  Diego Escalante Urrelo  <diegoe@gnome.org>

	* embed/ephy-embed-dialog.c:
	Fix some strict-aliasing warnings.

2007-04-23  Bastien Nocera  <hadess@hadess.net>

	* lib/ephy-file-helpers.c: (xdg_user_dir_lookup),
	(ephy_file_downloads_dir_from_xdg), (ephy_file_downloads_dir):
	Use xdg-user-dirs to get a better default Downloads directory
	(Closes: #415342)

2007-04-20  Bastien Nocera  <hadess@hadess.net>

	* data/mime-types-permissions.xml: Add "application/x-quicktimeplayer"
	and "application/x-quicktime-media-link" to the safe mime-types
	(Closes: #431665)

2007-04-16  Diego Escalante Urrelo  <diegoe@gnome.org>

	* src/ephy-go-action.c:

	Middle clicking the Go button should open the location bar address
	content in a new tab. Bug #362591.

2007-04-09  Christian Persch  <chpe@gnome.org>

	* data/glade/print.glade:
	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/GeckoPrintService.cpp:
	* embed/mozilla/GeckoPrintService.h:

	Fix printing of frames.

2007-04-02  Diego Escalante Urrelo <diegoe@gnome.org>

	* src/bookmarks/ephy-topic-action.c:

	Allow the user to select a different bookmark topic on the toolbar by
	just moving the mouse. Old behaviour forced the user to click each
	topic button to activate the menu, now only the first click is
	required. Bug #363848. Patch by John Millikin.

2007-03-29  Christian Persch  <chpe@gnome.org>

	* lib/ephy-password-dialog.c: (ephy_password_dialog_constructor):

	#if 0 some currently unused code. Bug #423907.

2007-03-25  Christian Persch  <chpe@gnome.org>

	* src/ephy-statusbar.c: (create_statusbar_progress):

	Make progressbar taller. Bug #421060.

2007-03-16  Bastien Nocera  <hadess@hadess.net>

	* embed/mozilla/Makefile.am:
	* embed/mozilla/mozilla-embed-single.cpp:
	Fix Epiphany not finding some Gecko plugins when
	running in a multilib environment (Closes: #407419)

2007-03-12  Christian Persch  <chpe@gnome.org>

	* embed/mozilla/GtkNSSDialogs.cpp:

	Add translator's comment for 'token'.

2007-03-12  Christian Persch  <chpe@gnome.org>

	* embed/mozilla/GeckoCookiePromptService.cpp:
	* embed/mozilla/GeckoCookiePromptService.h:
	* embed/mozilla/Makefile.am:
	* embed/mozilla/MozRegisterComponents.cpp:

	Implement nsICookiePromptService. Bug #337826.

2007-03-11  Christian Persch  <chpe@gnome.org>

	* configure.ac:

	Bump version to 2.19.0, and set API version to 2.19.

2007-03-11  Christian Persch  <chpe@gnome.org>

	* *:

	Correct FSF address. Bug #409075, patch by John Millikin.

2007-03-11  Christian Persch  <chpe@gnome.org>

	* configure.ac:

	Post-release version bump.

2007-03-11  Christian Persch  <chpe@gnome.org>

	=== Release 2.18.0 ===

2007-03-11  Christian Persch  <chpe@gnome.org>

	* configure.ac:

	Set version to 2.18.0.

2007-03-11  Christian Persch  <chpe@gnome.org>

	* embed/Makefile.am:
	* lib/Makefile.am:
	* lib/egg/Makefile.am:
	* src/Makefile.am:
	* src/bookmarks/Makefile.am:

	Regenerate the type builtins when the Makefile changes. Should fix bug
	#416994; no code freeze break since it's only fixing a build problem.

2007-03-07  Christian Kirbach  <Christian.Kirbach@googlemail.com>

	* data/bme.desktop.in.in:
	* data/epiphany.desktop.in.in:

	"Application" is not a valid category in the freedesktop specification.

2007-03-04  Christian Persch  <chpe@svn.gnome.org>

	* src/ephy-net-monitor.c: (ephy_net_monitor_check_network),
	(ephy_net_monitor_startup):

	Don't crash when we cannot access the system bus. Bug #404514, patch
	by Jan de Groot.

2007-03-03  Christian Persch  <chpe@svn.gnome.org>

	* embed/Makefile.am:
	* lib/Makefile.am:
	* lib/egg/Makefile.am:
	* src/Makefile.am:
	* src/bookmarks/Makefile.am: Make sure the type builtins are
	regenerated when the Makefile changes.

2007-03-03  Benjamin Berg  <benjamin@sipsolutions.net>

	* embed/Makefile.am:
	* embed/ephy-adblock-manager.c: (ephy_adblock_manager_should_load):
	* embed/ephy-adblock-manager.h:
	* embed/ephy-adblock.c: (ephy_adblock_should_load):
	* embed/ephy-adblock.h:
	* embed/mozilla/EphyContentPolicy.cpp:
	* lib/Makefile.am:
	* lib/ephy-adblock.c:
	* lib/ephy-adblock.h:

	Move ephy-adblock.* to embed. Change the API to pass EphyEmbed to
	should_load. This is needed to fix bug #348331.

2007-03-02  Christian Persch  <chpe@svn.gnome.org>

	* data/mime-types-permissions.xml:

	Add .bz2.

2007-02-26  Christian Persch  <chpe@svn.gnome.org>

	=== Release 2.17.92 ==

	* configure.ac:

2007-02-23  Christian Persch  <chpe@svn.gnome.org>

	* embed/mozilla/EphyFind.cpp:
	* embed/mozilla/EphyFind.h:

	What's this? Another mozilla API change!

2007-02-12  Christian Persch  <chpe@svn.gnome.org>

	* configure.ac:

	Post-release version bump.

2007-02-12  Christian Persch  <chpe@svn.gnome.org>

	=== Release 2.17.91 ===

	* configure.ac:
	* data/mime-types-permissions.xml:

2007-02-08  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/EphyAboutModule.cpp:
	(GetErrorMessage),(CreateErrorPage):

	Fix a g_free on static string. Also fix a leak.

2007-02-08  Christian Persch  <chpe@svn.gnome.org>

	* embed/mozilla/MozDownload.cpp:

	Guess what? Another mozilla API change!

2007-02-07  Christian Persch  <chpe@svn.gnome.org>

	* data/default-prefs-common.js:

	Set the new pwdmgr pref.

2007-02-02  Christian Persch  <chpe@svn.gnome.org>

	* data/mime-types-permissions.xml:

	More mime types.

2007-02-02  Christian Persch  <chpe@svn.gnome.org>

	* data/mime-types-permissions.xml:

	More mime types.

2007-01-30  Christian Persch  <chpe@svn.gnome.org>

	* data/mime-types-permissions.xml:

	Add video/x-theora+ogg to list of known mime types.

2007-01-28  Christian Persch  <chpe@svn.gnome.org>

	* src/ephy-tabs-menu.c: (sync_active_tab):

	Make this a regular check, not g_return_if_fail.

2007-01-28  Christian Persch  <chpe@svn.gnome.org>

	* data/default-prefs-common.js:

	Set bidi caret movement pref to mimick gtk widgets.

2007-01-28  Christian Persch  <chpe@svn.gnome.org>

	* src/ephy-dbus.c: (ephy_dbus_connect_to_session_bus):
	
	Fix error condition check.

2007-01-28  Christian Persch  <chpe@svn.gnome.org>

	* data/mime-types-permissions.xml:

	Add more mime types.

2007-01-28  Christian Persch  <chpe@svn.gnome.org>

	* lib/ephy-node.c: (destroy_signal_data), (node_parent_free),
	(ephy_node_destroy), (ephy_node_new_with_id), (real_set_property),
	(ephy_node_set_property), (ephy_node_set_property_string),
	(ephy_node_set_property_boolean), (ephy_node_set_property_long),
	(ephy_node_set_property_int), (ephy_node_set_property_double),
	(ephy_node_set_property_float), (real_add_child),
	(ephy_node_new_from_xml), (ephy_node_signal_connect_object):

	Convert EphyNode to use GSlice.

2007-01-28  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp: (GContentHandler::Show):

	Check for a potential veto. Fix #342951.

2007-01-28  Christian Persch  <chpe@svn.gnome.org>

	* lib/ephy-node.c: (safe_write_string), (ephy_node_write_to_xml):
	* src/bookmarks/ephy-bookmarks-export.c: (sanitise_string),
	(write_topics_list), (write_rdf):

	Make sure we don't write characters < 0x20 (except 0x9, 0xa, 0xd) to
	XML. Bug #392782.

2007-01-28  Christian Persch  <chpe@svn.gnome.org>

	* src/epiphany.defs:
	* src/epiphany.override:

	Fix the wrapping of the singleton Ephy[Embed]Shell as
	"epiphany.Shell()". Bug #351705.

2007-01-28  Christian Persch  <chpe@svn.gnome.org>

	* data/Makefile.am:

	Fix schemas install command.

2007-01-27  Priit Laes  <plaes@svn.gnome.org>

	* embed/mozilla/EphyAboutModule.cpp:

	Fixes the menu path of Gnome control center when displaying the service 
	unavailable error message. Bug #352923.

2007-01-24  Diego Escalante Urrelo <diegoe@svn.gnome.org>

	* embed/mozilla/EphyAboutModule.cpp:

	Changed the "redirected too many times" error page to be more
	friendly. Bug #395990.

2007-01-23  Christian Persch  <chpe@svn.gnome.org>

	* embed/mozilla/EphyBrowser.cpp:
	* embed/mozilla/GeckoPrintService.cpp:
	* embed/mozilla/GeckoPrintService.h:
	* embed/mozilla/GeckoPrintSession.cpp:

	Clear some print settings in the settings we hand to the print job, so
	they don't get applied twice. Bug #394818.

	Prepare for printing to PDF (#if 0'd until the gecko bug is fixed).

2007-01-23  Christian Persch  <chpe@svn.gnome.org>

	* data/mime-types-permissions.xml:
	
	Add another safe mime type.

2007-01-22  Christian Persch  <chpe@svn.gnome.org>

	* configure.ac:

	Post-release version bump.

2007-01-22  Christian Persch  <chpe@svn.gnome.org>

	=== Release 2.17.90 ===

	* configure.ac:

2007-01-18  Diego Escalante Urrelo <diegoe@svn.gnome.org>

	* data/ui/epiphany-bookmark-editor-ui.xml:

	Puts OpenInWindow over OpenInTab in the Bookmarks Editor so we meet
	the HIG. Fixes bug #340775.

2007-01-18  Luca Ferretti  <elle.uca@libero.it>

	* data/icons/*/places/bookmark-web.*:
	* data/icons/*/places/Makefile.am:
	* data/icons/*/Makefile.am:
	* configure.ac

	Add to build new "bookmark-web" custom named icon at
	16, 22 and 24 pixels - under new places directory.

	* lib/ephy-stock-icons.c:
	* lib/ephy-stock-icons.h:
	* src/bookmarks/ephy-bookmark-properties.c:
	* src/bookmarks/ephy-bookmark-action.c:

	Remove STOCK_BOOKMARK and add EPHY_STOCK_BOOKMARK using
	new "bookmark-web" custom named icon.

2007-01-17  Diego Escalante Urrelo <diegoe@svn.gnome.org>

	* src/popup-commands.c:
	
	Avoid opening a nautilus window when downloads are finished if the
	downloaded file was saved to the desktop. Considers the
	desktop_is_homedir option of Nautilus. Bug #383698.

2007-01-10  Diego Escalante Urrelo <diegoe@svn.gnome.org>

	* src/bookmarks/ephy-bookmarks-ui.c:

	Fixes compilation with gcc 2. Bug #394699. Patch by Jens Granseuer.

2007-01-10  Christian Persch  <chpe@svn.gnome.org>

	* data/chrome/about.xhtml:
	* src/window-commands.c: (window_cmd_help_about):

	Update for 2007.

2007-01-10  Christian Persch  <chpe@svn.gnome.org>

	* data/epiphany.pc.in:

	Fix for autoconf 2.60 (datarootdir).

2007-01-09  Diego Escalante Urrelo <diegoe@svn.gnome.org>

	* src/popup-commands.c:
	* lib/ephy-file-helpers.c:

	Opens images in a new browser window if EOG is not found. Bug #167595.
	Patch by Björn Lindqvist.

2007-01-09  Diego Escalante Urrelo <diegoe@svn.gnome.org>

	* src/ephy-history-window.c:
	* src/ephy-main.c:
	* src/bookmarks/ephy-bookmarks-editor.c:
	* src/ephy-tab.c:
	* src/ephy-encoding-menu.c:
	* src/ephy-window.c:
	* data/glade/form-signing-dialog.glade:
	* data/glade/prefs-dialog.glade:

	Changes "..." for the ellipsis character "…". Bug #324380. Patch by
	Diego Escalante Urrelo.

2007-01-09  Diego Escalante Urrelo <diegoe@svn.gnome.org>

	* data/about.ini:

	Added myself as a Contributor. :).

2007-01-09  Christian Persch  <chpe@svn.gnome.org>

	* configure.ac:

	Post-release version bump.

2007-01-09  Christian Persch  <chpe@svn.gnome.org>

	=== Release 2.17.5 ===

	* NEWS:
	* configure.ac:
	* data/default-prefs-common.js:
	* doc/reference/tmpl/ephy-embed.sgml:

2007-01-08  Diego Escalante Urrelo <diegoe@svn.gnome.org>

	* src/ephy-python-extension.c:
	* src/epiphany.override:

	Fixes a problem at link time on Darwin, bug #387233. Patch by paul.

2007-01-08  Diego Escalante Urrelo <diegoe@svn.gnome.org>

	* embed/mozilla/EphyAboutModule.cpp:

	Fixes the escaping in the error message "The page %s was not fully 
	loaded yet when the browser crashed..." by changing the
	g_strdup_printf into a g_markup_printf_escaped. Bug #374627. Patch by
	Diego Escalante Urrelo.

2007-01-08  Diego Escalante Urrelo <diegoe@svn.gnome.org>

	* embed/mozilla/EphyAboutModule.cpp:

	Fixes the menu path of the service unavailable error message.

2007-01-08  Diego Escalante Urrelo <diegoe@svn.gnome.org>

	* src/popup-commands.c: (background_download_completed)

	Check the result of ephy_file_launch_desktop_file () so if it fails we
	try an alternative naming of the background capplet: gnome-background.
	This is seen in fedora. Bug #387206, which is actually caused by
	bugzilla.redhat.com #201867.

2007-01-08  Luca Ferretti  <elle.uca@libero.it>

	* data/epiphany.pc.in: 

	Added "icondir" variable ( == $datadir/$package/icons ).
	The purpose is allow extensions to install custom themeable icons
	in this directory, so they can use named icons without add a new
	icon search path.

2007-01-08  Diego Escalante Urrelo <diegoe@svn.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c:
	* lib/widgets/ephy-node-view.c:

	Workaround/semi-fix for bug #351814. The real cause of the problem is
	the user_data that is never set on a GtkTreeIter, so the Ephy
	implementation of the tree makes it to have a stamp of 0 being that
	way an invalid iter. Patch by Diego Escalante Urrelo.

2007-01-08  Diego Escalante Urrelo <diegoe@svn.gnome.org>

	* data/glade/form-signing-dialog.glade:
	* data/glade/prefs-dialog.glade:

	Removed the hardcoded invisible char, note that this might readd
	itself to the file if someone edits it. It has been suggested that we
	move over to glade-3. Patch by Vitali Ischenko. Bug #393910.

2007-01-03  Diego Escalante Urrelo <diegoe@svn.gnome.org>

	* embed/ephy-favicon-cache.c: (icon_is_obsolete),
	(remove_obsolete_icons):
	* embed/ephy-history.c: (page_is_obsolete),
	(remove_obsolete_pages):
	
	Avoid use of localtime by computing expiry in seconds instead of days.
	Patch by Chris Wilson.

2007-01-03  Diego Escalante Urrelo  <diegoe@svn.gnome.org>

	* embed/ephy-favicon-cache.c: (ephy_favicon_cache_init):
	* embed/ephy-history.c: (ephy_history_init):
	* lib/Makefile.am:
	* lib/ephy-glib-compat.h:
	* src/bookmarks/ephy-bookmarks.c: (ephy_bookmarks_save_delayed):
	* src/ephy-dbus.c: (session_filter_func), (system_filter_func):
	* src/ephy-extensions-manager.c: (reload_cb):
	* src/ephy-session.c: (confirm_shutdown_cb):

	Utilize GLib's new g_timeout_add_seconds to reduce context switches
	and improve CPU/power efficiency. Patch by Chris Wilson.


2007-01-03  Diego Escalante Urrelo <diegoe@svn.gnome.org>

	* data/glade/prefs-dialog.glade:

	Corrects the expand of the Privacy tab in the Preferences window.
	Patch by Baptiste Mille-Mathias.

2007-01-03  Diego Escalante Urrelo <diegoe@svn.gnome.org>

	* data/mime-types-permissions.xml:

	Added text/csv as a safe type (note that the alias
	text/x-comma-separate-values is also present). Patch by Gaëtan
	Podevijn.

2007-01-02  Diego Escalante Urrelo <diegoe@svn.gnome.org>

	* src/ephy-history-window.c: (ephy_history_window_update_menu):
	
	Disables "Add Bookmark" in the File menu when bookmarks are locked
	down.

	* src/bookmarks/ephy-bookmark-properties.c: (ephy_bookmark_properties_constructor):

	Makes the topics pane insensitive and the rest of entries
	non-editables (but sensitive so we can select the text) 
	when bookmarks are locked down.

	* src/bookmarks/ephy-bookmarks-ui.c: (ephy_bookmarks_ui_add_bookmark):

	Don't allow the add bookmark ui to appear if it's locked down.

2006-12-31  Christian Persch  <chpe@svn.gnome.org>

	* src/ephy-main.c: (main):

	Make sure to init gthread as first call to glib.

2006-12-30  Diego Escalante Urrelo <diegoe@cvs.gnome.org>
	
	* src/ephy-statusbar.c:

	Removed uneeded #include <gtk/gtkframe.h>.

2006-12-30  Christian Persch  <chpe@svn.gnome.org>

	* .cvsignore:
	* data/.cvsignore:
	* data/art/.cvsignore:
	* data/chrome/.cvsignore:
	* data/glade/.cvsignore:
	* data/icons/.cvsignore:
	* data/icons/16x16/.cvsignore:
	* data/icons/16x16/actions/.cvsignore:
	* data/icons/16x16/status/.cvsignore:
	* data/icons/22x22/.cvsignore:
	* data/icons/22x22/actions/.cvsignore:
	* data/icons/22x22/status/.cvsignore:
	* data/icons/24x24/.cvsignore:
	* data/icons/24x24/actions/.cvsignore:
	* data/icons/24x24/status/.cvsignore:
	* data/icons/32x32/.cvsignore:
	* data/icons/32x32/actions/.cvsignore:
	* data/icons/32x32/status/.cvsignore:
	* data/icons/scalable/.cvsignore:
	* data/icons/scalable/actions/.cvsignore:
	* data/icons/scalable/status/.cvsignore:
	* data/ui/.cvsignore:
	* doc/.cvsignore:
	* doc/reference/.cvsignore:
	* embed/.cvsignore:
	* embed/mozilla/.cvsignore:
	* help/.cvsignore:
	* help/C/.cvsignore:
	* help/bg/.cvsignore:
	* help/el/.cvsignore:
	* help/es/.cvsignore:
	* help/eu/.cvsignore:
	* help/fi/.cvsignore:
	* help/fr/.cvsignore:
	* help/it/.cvsignore:
	* help/ja/.cvsignore:
	* help/nl/.cvsignore:
	* help/ru/.cvsignore:
	* help/sv/.cvsignore:
	* help/uk/.cvsignore:
	* lib/.cvsignore:
	* lib/egg/.cvsignore:
	* lib/widgets/.cvsignore:
	* m4/.cvsignore:
	* plugins/.cvsignore:
	* plugins/desktop-file/.cvsignore:
	* po/.cvsignore:
	* src/.cvsignore:
	* src/bookmarks/.cvsignore:

	.cvsignore files are obsolete.

2006-12-25  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-statusbar.c: (ephy_statusbar_class_init):
	
	Only use the statusbar size-allocate hack on gtk <= 2.10 now that gtk
	bug #372452 is fixed.

2006-12-19  Luca Ferretti  <elle.uca@libero.it>

	* data/ui/epiphany-ui.xml:

	Invert MoveToolItem and RemoveToolItem order, matchingh
	same feature for panel applets.
	
	* lib/egg/egg-editable-toolbar.c:
	(egg_editable_toolbar_set_ui_manager):	
	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):
	* lib/ephy-stock-icons.h:

	Remove STOCK_DRAG_MODE and STOCK_VIEW_SOURCE.

2006-12-19  Luca Ferretti  <elle.uca@libero.it>

	* data/icons/16x16/actions/Makefile.am:
	* data/icons/16x16/actions/location-entry.png:
	* data/icons/22x22/actions/Makefile.am:
	* data/icons/22x22/actions/location-entry.png:
	* data/icons/24x24/actions/location-entry.png:
	* data/icons/32x32/actions/Makefile.am:
	* data/icons/32x32/actions/location-entry.png:
	* data/icons/32x32/actions/location-entry.svg:
	* data/icons/scalable/actions/Makefile.am:
	* data/icons/scalable/actions/location-entry.svg:

	Add Tango style location-entry named icon.

2006-12-18  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2006-12-18  Christian Persch  <chpe@cvs.gnome.org>
	
	=== Release 2.17.4 ===

	* autogen.sh:
	* configure.ac:
	* src/Makefile.am:

	Link with -lxpcomglue_s on trunk.

2006-12-18  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_set_completion):
	* lib/widgets/ephy-location-entry.h:
	* src/ephy-completion-model.c:
	(ephy_completion_model_get_column_type), (init_favicon_col),
	(ephy_completion_model_get_value):
	* src/ephy-completion-model.h:
	* src/ephy-location-action.c: (connect_proxy):
	
	Show favicons in location entry drop-down. Bug #112748, patch by Diego
	Escalante Urrelo.

2006-12-17  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany-bookmarks-html.xsl:

	Fix bookmarks export to HTML. Bug #345925, patch by Stefan Stuhr.

2006-12-17  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Bump version to 2.17.4.

2006-12-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-bookmarks-editor.c: (cmd_bookmarks_export):

	Fix file name extension when exporting bookmarks. Bug #358986, patch
	by Diego Escalante Urrelo.

2006-12-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/bookmarks/ephy-topic-action.c: (button_deactivate_cb):

	Fix a signal leak. Bug #363837, patch by John Millikin.

2006-12-17  Eric Butler  <eric@extremeboredom.net>

	* src/ephy-embed.h:
	
	Add search_link entry to _EphyEmbedIface

	* src/ephy-embed.c:

	Add ge-search-link signal

	* embed/mozilla/EphyBrowser.cs: 
	
	Fire ge-search-link signal for opensearch tags

2006-12-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-history-window.c: (cmd_delete):

	Fix a mem leak. Bug #373549, patch by Diego Escalante Urrelo.

2006-12-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (ephy_notebook_init), (sync_label):

	Limit tab tooltip length. Bug #324052, patch by Diego Escalante
	Urrelo.

2006-12-17  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-notebook.c: (notebook_drag_data_received_cb),
	(ephy_notebook_init), (build_tab_label):

	Allow to drag plaintext to tabbar. Bug #339339, patch by
	Michael Hofmann.

2006-12-17  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_set_completion):
	* lib/widgets/ephy-location-entry.h:
	* src/ephy-completion-model.c:
	(ephy_completion_model_get_column_type),
	(ephy_completion_model_get_value):
	* src/ephy-completion-model.h:
	* src/ephy-location-action.c: (connect_proxy):

	List title and URL in location entry drop-down. Bug #169550,
	patch by Diego Escalante Urrelo.

2006-12-17  Christian Persch  <chpe@cvs.gnome.org>

	* lib/widgets/ephy-location-entry.c:
	(ephy_location_entry_style_set):

	Fix secure location bar colouring with dark themes. Bug #347343,
	patch by Diego Escalante Urrelo.

2006-12-17  Christian Persch  <chpe@cvs.gnome.org>

	* data/Makefile.am:
	* src/Makefile.am:
	* src/window-commands.c: (window_cmd_help_about):
	
	Load about data from file.

2006-12-17  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* embed/ephy-adblock-manager.c:
	* embed/ephy-adblock-manager.h:

	Add a signal so one can react after some rules have been edited.

2006-12-17  Björn Lindqvist  <bjourne@gmail.com>

	* embed/ephy-encodings.c
	* embed/ephy-favicon-cache.c
	* embed/ephy-history.c
	* embed/mozilla/GlobalHistory.cpp
	* lib/ephy-state.c
	* lib/widgets/ephy-node-view.c
	* src/ephy-tab.c
	* src/bookmarks/ephy-bookmarks.c

	Refactor lots of code by using the function
	ephy_node_set_property_XXX() instead of
	ephy_node_set_property(). Also, add emacs mode headers to touched
	files. Bug #381546.
 	
2006-12-15  Christian Persch  <chpe@cvs.gnome.org>

	* embed/mozilla/ContentHandler.cpp:
	* embed/mozilla/GeckoPrintService.cpp:
	* embed/mozilla/GtkNSSClientAuthDialogs.cpp:
	* embed/mozilla/GtkNSSDialogs.cpp:
	* embed/mozilla/GtkNSSKeyPairDialogs.cpp:
	* embed/mozilla/GtkNSSSecurityWarningDialogs.cpp:
	* lib/ephy-file-chooser.c: (ephy_file_chooser_constructor):
	* lib/ephy-gui.c: (ephy_gui_check_location_writable):
	* lib/ephy-module.c:
	* lib/ephy-password-dialog.c: (ephy_password_dialog_constructor):
	* lib/ephy-spell-check.c:
	* lib/ephy-stock-icons.h:
	* lib/widgets/.cvsignore:
	* lib/widgets/ephy-spinner-tool-item.c:
	(ephy_spinner_tool_item_toolbar_reconfigured):
	* lib/widgets/testspinner.c:
	* plugins/desktop-file/plugin.cpp:
	* src/bookmarks/ephy-bookmarks.c: (redirect_cb):
	* src/ephy-history-window.c: (confirmation_dialog_construct):
	* src/ephy-main.c: (main):
	* src/ephy-session.c: (confirm_shutdown_cb),
	(session_command_autoresume):
	* src/ephy-shell.c: (ephy_shell_add_sidebar_cb):
	* src/ephy-toolbar-editor.c: (ephy_toolbar_editor_constructor):
	* src/ephy-window.c: (construct_confirm_close_dialog):
	* src/pdm-dialog.c: (pdm_dialog_init):
	* src/window-commands.c: (window_cmd_help_about):

	Use a define for the default window icon. Bug #385872.

	* lib/ephy-module.c:

	The symbol can be NULL even though the symbol lookup succeeded.

2006-12-14  Chhristian Persch  <chpe@cvs.gnome.org>

	* data/default-prefs-common.js:

	Don't warn before launching rtsp and mms[h] handlers.

2006-12-14  Luca Ferretti  <elle.uca@libero.it>

	* data/icons/32x32/actions/Makefile.am:
	* data/icons/32x32/actions/bookmark-view.png:
	* data/icons/32x32/actions/bookmark-view.svg:
	* data/icons/32x32/actions/history-view.png:
	* data/icons/32x32/actions/history-view.svg:
	* data/icons/scalable/actions/Makefile.am:
	* data/icons/scalable/actions/bookmark-view.svg:
	* data/icons/scalable/actions/history-view.svg:

	Add "bookmark-view" and "history-view" at 32 pixels
	and 48 pixels scalable. From Andreas Nilsson.	

2006-12-14  Luca Ferretti  <elle.uca@libero.it>

	* src/ephy-window.c:

	Remove the proxy icon from View->Page Source menu entry.

	* lib/ephy-stock-icons.h:

	Keep STOCK_VIEW_SOURCE by now, but use "text-html" instead
	deprecated "stock_view-html-source".

2006-12-14  Luca Ferretti  <elle.uca@libero.it>

	* data/icons/16x16/actions/Makefile.am:

	Fix a typo in previous commit.

2006-12-14  Luca Ferretti  <elle.uca@libero.it>

	* data/icons/16x16/actions/Makefile.am:
	* data/icons/16x16/actions/bookmark-view.png:
	* data/icons/16x16/actions/bookmark-view.xcf:
	* data/icons/16x16/actions/download.xcf:
	* data/icons/16x16/actions/epiphany-download.xcf.bz2:
	* data/icons/16x16/status/Makefile.am:
	* data/icons/16x16/status/popup-hidden.xcf:
	* data/icons/16x16/status/popup-hidden.xcf.bz2:
	* data/icons/22x22/actions/Makefile.am:
	* data/icons/22x22/actions/bookmark-view.png:
	* data/icons/22x22/actions/bookmark-view.xcf:
	* data/icons/22x22/actions/download.xcf:
	* data/icons/22x22/actions/epiphany-download.xcf.bz2:
	* data/icons/22x22/status/Makefile.am:
	* data/icons/22x22/status/popup-hidden.xcf:
	* data/icons/22x22/status/popup-hidden.xcf.bz2:
	* data/icons/24x24/actions/Makefile.am:
	* data/icons/24x24/actions/README:
	* data/icons/24x24/actions/bookmark-view.png:
	* data/icons/24x24/actions/web-bookmarks.png:
	* data/icons/32x32/actions/Makefile.am:
	* data/icons/32x32/actions/download.svg:
	* data/icons/32x32/actions/epiphany-download.svg:
	* data/icons/scalable/status/Makefile.am:

	Add new "bookmark-view" icon from Andreas Nilsson, replacing
	"web-bookmarks". Move images source from xcf.bz2 to xcf and
	use the same name of the named icon, including them in dist.

	* lib/ephy-stock-icons.h:

	Use "bookmark-view" named icon for EPHY_STOCK_BOOKMARKS.

2006-12-13  Christian Persch  <chpe@cvs.gnome.org>

	* data/icons/16x16/actions/Makefile.am:
	* data/icons/22x22/actions/Makefile.am:
	* data/icons/24x24/actions/Makefile.am:
	* data/icons/32x32/actions/Makefile.am:
	* data/icons/32x32/status/Makefile.am:

	Dist the icon sources.

2006-12-13  Luca Ferretti  <elle.uca@libero.it>

	* data/icons/16x16/actions/history-view.svg:
	* data/icons/22x22/actions/history-view.svg:

	Add image sources too.

2006-12-13  Luca Ferretti  <elle.uca@libero.it>

	* data/icons/16x16/actions/Makefile.am:
	* data/icons/16x16/actions/history-view.png:
	* data/icons/22x22/actions/Makefile.am:
	* data/icons/22x22/actions/history-view.png:
	* data/icons/24x24/actions/Makefile.am:
	* data/icons/24x24/actions/history-view.png:
	* data/icons/24x24/actions/web-history.png:

	Updated icon for history from Andreas Nilsson.

	* lib/ephy-stock-icons.h:

	Use "history-view" as named icon. 
	
2006-12-11  Christian Persch  <chpe@cvs.gnome.org>

	* data/icons/16x16/Makefile.am:
	* data/icons/16x16/actions/Makefile.am:
	* data/icons/16x16/status/Makefile.am:
	* data/icons/22x22/Makefile.am:
	* data/icons/22x22/actions/Makefile.am:
	* data/icons/22x22/status/Makefile.am:
	* data/icons/24x24/Makefile.am:
	* data/icons/24x24/actions/Makefile.am:
	* data/icons/24x24/status/Makefile.am:
	* data/icons/32x32/Makefile.am:
	* data/icons/32x32/actions/Makefile.am:
	* data/icons/32x32/status/Makefile.am:
	* data/icons/Makefile.am:
	* data/icons/scalable/Makefile.am:
	* data/icons/scalable/actions/Makefile.am:
	* data/icons/scalable/status/Makefile.am:

	Remove unnecessary rules.

2006-12-08  Christian Persch  <chpe@cvs.gnome.org>

	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):
	* src/ephy-main.c: (main):

	Move code around.

2006-12-08  Luca Ferretti <elle.uca@libero.it>

	* data/icons/16x16/actions/Makefile.am:
	* data/icons/22x22/actions/Makefile.am:
	* data/icons/32x32/actions/Makefile.am:
	* data/icons/scalable/actions/Makefile.am:

	s/epiphany-download/download\

2006-12-08  Luca Ferretti  <elle.uca@libero.it>

	* data/art/epiphany-bookmarks.png:

	Restore this, still used in bookmarks .desktop file.

2006-12-08  Luca Ferretti <elle.uca@libero.it>

	* data/art/Makefile.am:
	* data/art/epiphany-bookmarks.png:
	* data/art/epiphany-download.png:
	* data/art/epiphany-entry.png:
	* data/art/epiphany-history.png:
	* data/art/epiphany-popup-hidden.png:
	* data/art/epiphany-popup-hidden.svg:

	Remove old stock icons
	
	* data/icons/16x16/actions/download.png:
	* data/icons/16x16/actions/epiphany-download.png:
	* data/icons/22x22/actions/download.png:
	* data/icons/22x22/actions/epiphany-download.png:
	* data/icons/24x24/actions/Makefile.am:
	* data/icons/24x24/actions/download.png:
	* data/icons/24x24/actions/epiphany-download.png:
	* data/icons/24x24/actions/location-entry.png:
	* data/icons/24x24/actions/web-bookmarks.png:
	* data/icons/24x24/actions/web-history.png:
	* data/icons/32x32/actions/download.png:
	* data/icons/32x32/actions/epiphany-download.png:
	* data/icons/scalable/actions/download.svg:
	* data/icons/scalable/actions/epiphany-download.svg:

	Move old stock icons here and rename "epiphany-download"
	to "download"

	* lib/ephy-stock-icons.c: (ephy_stock_icons_init):

	Use gtk_icon_source_set_icon_name for EPHY_STOCK*
	
	* lib/ephy-stock-icons.h:

	Update named icons to installed icons.
	
	* src/ephy-main.c: (main):

	Call gtk_icon_theme_append_search_path to add custom Ephy
	directory for themed icons.

	This should complete the icon theme support to Epiphany.
	Of course there is still some work to do, as well as
	provide fresh icons at all sizes and define the names.

2006-12-08  Luca Ferretti  <elle.uca@libero.it>

	* data/icons/.cvsignore:
	* data/icons/*/.cvsignore:
	Silent cvs.

2006-12-05  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* src/ephy-link.c: (ephy_link_flags_from_current_event):

	Ctrl-middle click on a bookmarm should open a new tab.
	Fixes bug #334463, (trivial) patch by Diego Escalante
	Urrelo).

2006-12-05  Luca Ferretti  <elle.uca@libero.it>

	* configure.ac:
	* data/icons/<size>/Makefile.am:
	* data/icons/<size>/status/popup-hidden.*:
	* data/icons/<size>/status/Makefile.am:

	Add "popup-hidden" named icon.

2006-12-04  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Post-release version bump.

2006-12-04  Christian Persch  <chpe@cvs.gnome.org>

	=== Release 2.17.3 ===

2006-12-04  Christian Persch  <chpe@cvs.gnome.org>

	* configure.ac:

	Version 2.17.3.

	* embed/mozilla/GtkNSSDialogs.cpp:

	Use NULL for gtk_label_new instead of "".

	* lib/ephy-print-utils.c:
	(ephy_print_utils_page_setup_new_from_key_file):

	Fix possible invalid free.

	* lib/widgets/ephy-spinner.c: (ephy_spinner_images_unref),
	(ephy_spinner_images_load), (ephy_spinner_load_images),
	(ephy_spinner_expose), (bump_spinner_frame_cb),
	(ephy_spinner_start), (ephy_spinner_stop):

	Fix compliance with icon theme spec by skipping the first frame in the
	animation when in spinning mode. Bug #382207.
	Try the "process-working" icon first and fall back to "gnome-spinner"
	when it's not available.

	* m4/gecko.m4:

	Updated.

2006-12-04  Luca Ferretti  <elle.uca@libero.it>

	* configure.in:
	* data/Makefile.am:
	* data/icons/*/epiphany-download*:
	* data/icons/*Makefile.am*:

	Initial commit to provide Epiphany icons as themed icons.
	Files will be installed under $prefix/share/epiphany/icons/hicolor/
	as per http://wayofthemonkey.com/index.php?date=2006-11-15&month=11&year=2006

	By now only epiphany-download is available, but currently unused
	in the UI. More icons are code changes will come.

2006-12-03  Christian Persch  <chpe@cvs.gnome.org>

	* src/ephy-statusbar.c: (ephy_statusbar_size_allocate),
	(ephy_statusbar_class_init), (create_caret_indicator),
	(create_icon_frame), (create_statusbar_progress),
	(ephy_statusbar_init), (ephy_statusbar_set_popups_state),
	(sync_visibility), (ephy_statusbar_add_widget),
	(ephy_statusbar_remove_widget),
	(ephy_statusbar_get_security_frame):
	* src/ephy-statusbar.h:

	Make progressbar smaller. Bug #368759.

2006-12-02  Christian Persch  <chpe@cvs.gnome.org>

	* data/epiphany-pango.schemas:

	Add "si" to locales always using pango. Patch by harshula@gmail.com,
	bug #361538.

2006-12-01  Christian Persch  <chpe@cvs.gnome.org>

	* embed/ephy-embed-find.c: (ephy_embed_find_find_again):
	* embed/ephy-embed-find.h:
	* embed/mozilla/EphyFind.cpp:
	* embed/mozilla/EphyFind.h:
	* embed/mozilla/mozilla-embed-find.cpp:
	* src/ephy-find-toolbar.c: (ephy_find_toolbar_find_next),
	(ephy_find_toolbar_find_previous):

	Another mozilla API change.

	* m4/gecko.m4:

	Add -lxpcomglue_s to EXTRA_LIBS on trunk.

2006-12-01  Christian Persch  <chpe@cvs.gnome.org>

	* data/mime-types-permissions.xml:

	Add text/google-video-pointer and variant.

2006-12-01  Christian Persch  <chpe@cvs.gnome.org>

	* data/mime-types-permissions.xml:

	Add flv mime types. Bug #381099.

2006-11-17  Benjamin Berg  <benjamin@sipsolutions.net>

	* lib/widgets/ephy-spinner.c: (ephy_spinner_start):
	Lower the priority of the spinner animation so that the animation
	does not stop page loading. Fixes bug #374623.

2006-11-13  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* data/epiphany-fonts.schemas:
	* data/generate-font-schemas.py:

	Change default font sizes to match other popular
	browsers. Bug #346026 (patch by Diego Escalante Urrelo).

2006-11-12  Jean-François Rameau  <jframeau@cvs.gnome.org>

	* src/ephy-navigation-action.c: (activate_by_history_index):
	* src/ephy-shell.c: (ephy_shell_new_tab_full):

	Remove a double call to history copy when middle-clicking on back/forward buttons.
	Fix bug #362882.

2006-11-12  Ryan Lortie  <desrt@desrt.ca>

	* src/ephy-notebook.c (build_tab_label): Remove redundant
	gtk_button_set_relief call.  Fixes bug #372760.

2006-11-10  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* autogen.sh: Add useful warning when gnome-autogen.sh
	couldn't be found.

2006-11-10  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* src/ephy-lockdown.c: (update_window):
	Also disable the "Open Image" context menu action if the
	desktop wide "disable save to disk" lockdown key is
	enabled. Reported on IRC by Gerald E Butler.

2006-11-10  Wouter Bolsterlee  <wbolster@cvs.gnome.org>

	* src/ephy-window.c:
	Add some more F5 shortcuts to handle all the MSIE
	"refresh page" bindings. Fixes bug #372906.

2006-11-06  Christian Persch  <chpe@cvs.gnome.org>

	* ChangeLog-20061106:
	* Makefile.am:

	Split ChangeLog.

	* configure.ac:

	Post-release version bump.
